> For the complete documentation index, see [llms.txt](https://insdexer.gitbook.io/insdexer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://insdexer.gitbook.io/insdexer/reference/api-reference/inscription.md).

# Inscription

## Inscription

<mark style="color:green;">`GET`</mark> `/inscription`

Get specific inscription data.

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Request**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th data-type="checkbox">Optional</th></tr></thead><tbody><tr><td><code>&#x3C;id></code></td><td>number</td><td>ID of inscription.</td><td>true</td></tr><tr><td><code>&#x3C;tx></code></td><td>string</td><td>Transaction Hash of inscription creation.</td><td>true</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "data": {
        "blocknumber": 12031704,
        "event_logs": [],
        "from": "0x90f7562249916a4e690c16ca69ebfd6533d42499",
        "id": 83705317,
        "mime_category": "1",
        "mime_data": "Dragon",
        "mime_type": "",
        "owner": "0x90f7562249916a4e690c16ca69ebfd6533d42499",
        "signature": "eb22c5e28adf024cfee08804c00ddb9ac2973892",
        "timestamp": 1709395063,
        "to": "0x90f7562249916a4e690c16ca69ebfd6533d42499",
        "tx_hash": "0x20a2da84e86edd78dc75f304537587e32a6e25b0c0733f0224a688188c95aba5",
        "tx_index": 4,
        "verified": "1"
    },
    "error_code": 0
}
```

{% endtab %}

{% tab title="200" %}

```json
{
    "error": "not found",
    "error_code": 404
}
```

{% endtab %}
{% endtabs %}

**Response Data Field**

<table><thead><tr><th>Field</th><th>Description</th><th>Type</th><th data-type="checkbox">Optional</th></tr></thead><tbody><tr><td><code>blocknumber</code></td><td>blocknumber of Inscription creation.</td><td>number</td><td>false</td></tr><tr><td><code>event_logs</code></td><td>event logs of marketplace order.</td><td>array</td><td>true</td></tr><tr><td><code>from</code></td><td>address from of Inscription creation.</td><td>string</td><td>false</td></tr><tr><td><code>id</code></td><td>Inscription ID</td><td>number</td><td>false</td></tr><tr><td><code>mime_category</code></td><td>Inscription category</td><td>string, values: &#x3C;null, text, image, transfer, json, invoke></td><td>false</td></tr><tr><td><code>mime_data</code></td><td>Inscription data</td><td>string</td><td>false</td></tr><tr><td><code>mime_type</code></td><td>Inscription display type</td><td>string</td><td>false</td></tr><tr><td><code>owner</code></td><td>Inscription owner</td><td>string</td><td>true</td></tr><tr><td><code>signature</code></td><td>Inscription signature</td><td>string</td><td>true</td></tr><tr><td><code>timestamp</code></td><td>timestamp of creation</td><td>number</td><td>false</td></tr><tr><td><code>to</code></td><td>address to of Inscription creation.</td><td>string</td><td>false</td></tr><tr><td><code>tx_hash</code></td><td>transaction hash of creation</td><td>string</td><td>false</td></tr><tr><td><code>tx_index</code></td><td>transaction index in block of creation</td><td>number</td><td>false</td></tr><tr><td><code>verified</code></td><td>verify status of Inscription Indexer</td><td>string, values: &#x3C;waiting, successful, failed></td><td>false</td></tr></tbody></table>

## Inscription Data

<mark style="color:green;">`GET`</mark> `/inscription/{path}`

Same as [#inscription](#inscription "mention")

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Request**

| Name   | Type   | Description          |
| ------ | ------ | -------------------- |
| `path` | string | Inscription ID or Tx |

**Response**

Same as [#inscription](#inscription "mention").

## Latest Inscriptions

<mark style="color:green;">`GET`</mark> `/recent`

Get latest Inscriptions List

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Request**

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| `page` | number | page number |

**Response**

Array of [#inscription](#inscription "mention").

{% tabs %}
{% tab title="200" %}

```json
{
    "data": [
        {
            "blocknumber": 12031704,
            "event_logs": [],
            "from": "0x90f7562249916a4e690c16ca69ebfd6533d42499",
            "id": 83705317,
            "mime_category": "1",
            "mime_data": "Dragon",
            "mime_type": "",
            "owner": "0x90f7562249916a4e690c16ca69ebfd6533d42499",
            "signature": "eb22c5e28adf024cfee08804c00ddb9ac2973892",
            "timestamp": 1709395063,
            "to": "0x90f7562249916a4e690c16ca69ebfd6533d42499",
            "tx_hash": "0x20a2da84e86edd78dc75f304537587e32a6e25b0c0733f0224a688188c95aba5",
            "tx_index": 4,
            "verified": "1"
        }, {
            ...
        },
        ...
    ],
    "error_code": 0
} 
```

{% endtab %}
{% endtabs %}

## Transactions

<mark style="color:green;">`POST`</mark> `/transactions`

Inscriptions of specific address.

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Resquest**

| Name      | Type   | Description    |
| --------- | ------ | -------------- |
| `address` | string | wallet address |
| `page`    | number | page number    |

**Response**

Array of [#inscription](#inscription "mention")

{% tabs %}
{% tab title="200" %}

```json
{
    "data": [
        {
            "blocknumber": 12031704,
            "event_logs": [],
            "from": "0x90f7562249916a4e690c16ca69ebfd6533d42499",
            "id": 83705317,
            "mime_category": "1",
            "mime_data": "Dragon",
            "mime_type": "",
            "owner": "0x90f7562249916a4e690c16ca69ebfd6533d42499",
            "signature": "eb22c5e28adf024cfee08804c00ddb9ac2973892",
            "timestamp": 1709395063,
            "to": "0x90f7562249916a4e690c16ca69ebfd6533d42499",
            "tx_hash": "0x20a2da84e86edd78dc75f304537587e32a6e25b0c0733f0224a688188c95aba5",
            "tx_index": 4,
            "verified": "1"
        }, {
            ...
        },
        ...
    ],
    "error_code": 0
}
```

{% endtab %}
{% endtabs %}

## Created

<mark style="color:green;">`GET`</mark> `/created`

Inscription created by specific address.

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Body**

| Name      | Type   | Description    |
| --------- | ------ | -------------- |
| `address` | string | wallet address |
| `page`    | number | page number    |

**Response**

Array of [#inscription](#inscription "mention")

{% tabs %}
{% tab title="200" %}

```json
{
    "data": [
        {
            "blocknumber": 12031704,
            "event_logs": [],
            "from": "0x90f7562249916a4e690c16ca69ebfd6533d42499",
            "id": 83705317,
            "mime_category": "1",
            "mime_data": "Dragon",
            "mime_type": "",
            "owner": "0x90f7562249916a4e690c16ca69ebfd6533d42499",
            "signature": "eb22c5e28adf024cfee08804c00ddb9ac2973892",
            "timestamp": 1709395063,
            "to": "0x90f7562249916a4e690c16ca69ebfd6533d42499",
            "tx_hash": "0x20a2da84e86edd78dc75f304537587e32a6e25b0c0733f0224a688188c95aba5",
            "tx_index": 4,
            "verified": "1"
        }, {
            ...
        },
        ...
    ],
    "error_code": 0
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://insdexer.gitbook.io/insdexer/reference/api-reference/inscription.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
